Subject: bug#39641: closed (Re: [bug#39641] [PATCH 0/2] Add opensurge.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Feb 2020 15:31:02 +0000

Your bug report

#39641: [PATCH 0/2] Add opensurge.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39641: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39641
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39641] [PATCH 0/2] Add opensurge.
From: Nicolas Goaziou <[email-masked]>
To: Timotej Lazar <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Feb 2020 16:30:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Timotej Lazar <[email-masked]> writes:

> Nicolas Goaziou <[email-masked]> [2020-02-18 02:35:33+0100]:

>> I am not a reference on that matter, but I think that downloading from
>> font repos should be avoided, if possible. So I suggest to add this as
>> a TODO note for later, if we find font in an official place.
>
> I agree. I’ll add the TODO locally and submit it with the next package
> upgrade, if that’s OK.

Fine by me. Meanwhile, I'm closing this bug report.

Regards,

-- 
Nicolas Goaziou

Subject: [PATCH 0/2] Add opensurge.
From: Timotej Lazar <[email-masked]>
To: [email-masked]
Date: Mon, 17 Feb 2020 13:42:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

these patches add opensurge[0] and its game engine, surgescript. The
bundled copies of Roboto fonts are replaced with the store versions.

I kept the Gothic A1 font because it isn’t packaged for Guix. While the
font is distributed under OFL[1], I could only find it on font repos
such as https://fontlibrary.org and not on the official site[2]. If
downloading from repos is OK, I can add the package for the Gothic A1
font and update this submission.

Thanks!

[0] https://opensurge2d.org/
[1] https://fontlibrary.org/en/font/gothic-a1
[2] https://www.hanyang.co.kr/hygothic/

Timotej Lazar (2):
  gnu: Add surgescript.
  gnu: Add opensurge.

 gnu/packages/game-development.scm | 28 +++++++++++++
 gnu/packages/games.scm            | 67 +++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

-- 
2.25.0